学习计划/BearerWrite
Configure WeChat task reminders
Enable or disable WeChat iLink delivery for exact existing task ids. It requires a connected iLink and globally enabled WeChat notifications, and never changes a plan or task schedule.
Endpoint
POST
/api/v1/agent/capabilities/ielts_notifications_configure_wechat_task_reminders请求参数
| 字段 | 类型 | 必填 | 说明 |
|---|---|---|---|
| tasks | record[] | 是 | tasks |
| tasks.enabled | boolean | 是 | enabled |
| tasks.taskId | number | 是 | taskId |
调用示例
curl -X POST \
'https://work.ieltsbuddy.igopx.cn/api/v1/agent/capabilities/ielts_notifications_configure_wechat_task_reminders' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer $IELTS_BUDDY_TOKEN' \
--data '{"tasks":[]}'请求结构
{
"type": "object",
"properties": {
"tasks": {
"minItems": 1,
"maxItems": 90,
"type": "array",
"items": {
"type": "object",
"properties": {
"enabled": {
"type": "boolean"
},
"taskId": {
"type": "integer",
"exclusiveMinimum": 0,
"maximum": 9007199254740991
}
},
"required": [
"enabled",
"taskId"
],
"additionalProperties": false
}
}
},
"required": [
"tasks"
],
"additionalProperties": false
}统一响应
接口结果位于 data;code 为 0 表示调用成功。
{
"code": 0,
"data": {},
"message": "ok"
}错误码
400
40001请求参数不符合接口契约401
40101缺少或使用了无效的访问令牌403
40301访问令牌不包含接口所需权限404
40401接口或目标资源不存在